/* ---------------------------------------------------------
- <TAG/> Mailing List - v1.0 beta                          -
- creato fa Fabrizio Ciacchi - www.alfiere.net             -
------------------------------------------------------------
- Based on: LetterIt v1.01 by Helge Orthmann               -
- otter@otterware.de - http://www.otterware.de             -
------------------------------------------------------------
- and some modules of: phpBB v2.0.5 - www.phpbb.com        -
------------------------------------------------------------
- Rilasciato sotto licenza GPL - released under GPL        -
------------------------------------------------------------
- Lasciare intatta l'intestazione - leave this header      -
--------------------------------------------------------- */

/* ---------------------------------------------------------
- POSTGRESQL SCHEMA
--------------------------------------------------------- */

CREATE SEQUENCE prefix_le_bereich_seq start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1;
CREATE SEQUENCE prefix_le_default_seq start 1 increment 1 maxvalue 2147483647 minvalue 1 cache 1;

/* ---------------------------------------------------------
- Tabella 'abo'
--------------------------------------------------------- */

CREATE TABLE prefix_le_abo (
   id int DEFAULT '0' NOT NULL,
   email varchar(100) NOT NULL,
   time int4 DEFAULT '0' NOT NULL,
   CONSTRAINT prefix_le_abo_pkey PRIMARY KEY (id, email)
);


/* ---------------------------------------------------------
- Tabella 'range'
--------------------------------------------------------- */

CREATE TABLE prefix_le_bereich (
   id int DEFAULT nextval('prefix_le_bereich_seq'::text) NOT NULL,
   time int4 DEFAULT '0' NOT NULL,
   name varchar(100) NOT NULL,
   email varchar(100) NOT NULL,
   header text NOT NULL,
   headeranz int4 DEFAULT '0' NOT NULL,
   footer text NOT NULL,
   footeranz int4 DEFAULT '0' NOT NULL,
   link int4 DEFAULT '0' NOT NULL,
   url varchar(200) NOT NULL,
   abmeldung text NOT NULL,
   abmeldungbet varchar(150) NOT NULL,
   abmeldunganz int4 DEFAULT '0' NOT NULL,
   mailart varchar(10) NOT NULL,
   headerhtml text NOT NULL,
   footerhtml text NOT NULL,
   delstat int4 DEFAULT '0' NOT NULL,
   email_best int4 DEFAULT '0' NOT NULL,
   CONSTRAINT prefix_le_bereich_pkey PRIMARY KEY (id)
);


/* ---------------------------------------------------------
- Tabella 'click"
--------------------------------------------------------- */

CREATE TABLE prefix_le_clicks (
   id int DEFAULT '0' NOT NULL,
   time int4 DEFAULT '0' NOT NULL,
   name varchar(50) NOT NULL,
   hits int DEFAULT '0' NOT NULL,
   CONSTRAINT prefix_le_clicks_pkey PRIMARY KEY (id, name)
);


/* ---------------------------------------------------------
- Tabella 'default'
--------------------------------------------------------- */

CREATE TABLE prefix_le_default (
   defid int DEFAULT nextval('prefix_le_default_seq'::text) NOT NULL,
   email varchar(100) NOT NULL,
   header text NOT NULL,
   headeranz int4 DEFAULT '0' NOT NULL,
   footer text NOT NULL,
   footeranz int4 DEFAULT '0' NOT NULL,
   link int4 DEFAULT '0' NOT NULL,
   abmeldung text NOT NULL,
   abmeldungbet varchar(100) NOT NULL,
   abmeldunganz int4 DEFAULT '0' NOT NULL,
   mailart varchar(10) NOT NULL,
   headerhtml text NOT NULL,
   footerhtml text NOT NULL,
   delstat int4 DEFAULT '0' NOT NULL,
   email_best int4 DEFAULT '0' NOT NULL,
   CONSTRAINT prefix_le_default_pkey PRIMARY KEY (defid)
);


/* ---------------------------------------------------------
- Tabella 'letter"
--------------------------------------------------------- */

CREATE TABLE prefix_le_letter (
   id int DEFAULT '0' NOT NULL,
   time int4 DEFAULT '0' NOT NULL,
   betreff varchar(100) NOT NULL,
   abos int4 DEFAULT '0' NOT NULL,
   text text NOT NULL,
   htmltext text NOT NULL,
   CONSTRAINT prefix_le_letter_pkey PRIMARY KEY (id, time)
);


/* ---------------------------------------------------------
- Tabella 'memory'
--------------------------------------------------------- */

CREATE TABLE prefix_le_speicher (
   id int DEFAULT '0' NOT NULL,
   betreff text NOT NULL,
   newstext text NOT NULL,
   newshtml text NOT NULL,
   CONSTRAINT prefix_le_speicher_pkey PRIMARY KEY (id)
);


/* ---------------------------------------------------------
- Tabella 'stats'
--------------------------------------------------------- */

CREATE TABLE prefix_le_stats (
   id int DEFAULT '0' NOT NULL,
   monat int4 DEFAULT '0' NOT NULL,
   jahr int4 DEFAULT '0' NOT NULL,
   abgang int4 DEFAULT '0' NOT NULL,
   zugang int4 DEFAULT '0' NOT NULL,
   CONSTRAINT prefix_le_stats_pkey PRIMARY KEY (id, monat, jahr)
);
